"use client";
function l(h, e, r, n) {
  var c = n / 2;
  return {
    stroke: "none",
    fill: "#ccc",
    x: h === "horizontal" ? e.x - c : r.left + 0.5,
    y: h === "horizontal" ? r.top + 0.5 : e.y - c,
    width: h === "horizontal" ? n : r.width - 1,
    height: h === "horizontal" ? r.height - 1 : n
  };
}
export {
  l as getCursorRectangle
};
